function onBegin()

	player.Speed = vector2(0,0)
	playSound("event:/char/madeline/mirrortemple_big_landing")
	playSound("event:/char/madeline/mirrortemple_big_landing")
	setPlayerState("Normal",false)
	setFlag("woxens_Lucidity_jumpthru",true)
	enableMovement()

end